<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__alp__fltr__channel__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_alp_fltr_channel_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a4eeaf7e6e557a71e478f2ebdb50574de" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_alp_fltr_channel_t::dataParam0</definition>
        <argsstring />
        <name>dataParam0</name>
        <briefdescription>
<para>Parameter 0 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="221" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a6cbff9d935df1845ac6cdf4172c7209b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam1</definition>
        <argsstring />
        <name>dataParam1</name>
        <briefdescription>
<para>Parameter 1 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="222" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="222" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1ae21096248150ede5126f6372dc8bc6e9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam2</definition>
        <argsstring />
        <name>dataParam2</name>
        <briefdescription>
<para>Parameter 2 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="223" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="223" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a1bd5de721828504f592e4ed5d55e0564" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam3</definition>
        <argsstring />
        <name>dataParam3</name>
        <briefdescription>
<para>Parameter 3 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="224" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="224" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1ac62dc41e0fd4f3ccd948f866549ea11e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam4</definition>
        <argsstring />
        <name>dataParam4</name>
        <briefdescription>
<para>Parameter 4 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="225" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="225" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a4372588f14b58af19f65cb07aa13e847" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam5</definition>
        <argsstring />
        <name>dataParam5</name>
        <briefdescription>
<para>Parameter 5 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="226" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="226" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a40660b6044aa1b08f4e54629dcf0ce22" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_alp_fltr_channel_t::dataParam6</definition>
        <argsstring />
        <name>dataParam6</name>
        <briefdescription>
<para>Parameter 6 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="227" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="227" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__alp__fltr__channel__t_1a885a5ec429033d11ae602ebaf7676413" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_alp_fltr_channel_t::dataParam7</definition>
        <argsstring />
        <name>dataParam7</name>
        <briefdescription>
<para>Parameter 7 context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="228" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares ALP filter data structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="229" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="219" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="220" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a4eeaf7e6e557a71e478f2ebdb50574de" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam0</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a6cbff9d935df1845ac6cdf4172c7209b" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam1</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1ae21096248150ede5126f6372dc8bc6e9" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam2</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a1bd5de721828504f592e4ed5d55e0564" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam3</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1ac62dc41e0fd4f3ccd948f866549ea11e" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam4</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a4372588f14b58af19f65cb07aa13e847" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam5</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a40660b6044aa1b08f4e54629dcf0ce22" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam6</name></member>
      <member prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t_1a885a5ec429033d11ae602ebaf7676413" virt="non-virtual"><scope>cy_stc_capsense_alp_fltr_channel_t</scope><name>dataParam7</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>